package usersvc

import (
	userdomain "legalgo-BE-go/internal/domain/user"
)

func (i *impl) GetUserProfile(id string) (*userdomain.UserProfile, error) {
	user, err := i.userRepo.GetUserProfile(id)
	if err != nil {
		return nil, err
	}

	return user, nil
}
